.composition {
  position: relative;

  &__photo {
    position: absolute;
    z-index: 10;
    transition: all 0.2s;
    outline-offset: 2rem;
    box-shadow: 0 1.5rem 4rem rgba($color-black, 0.4);
    border-radius: 2px;
    width: 55%;

    @include respond(tab-port) {
      position: relative;
      float: left;
      box-shadow: 0 1.5rem 4rem rgba($color-black, 0.2);
      width: 33.33333%;
    }

    &--p1 {
      left: 0;
      top: -2rem;

      @include respond(tab-port) {
        top: 0;
        transform: scale(1.2);
      }
    }

    &--p2 {
      right: 0;
      top: 2rem;

      @include respond(tab-port) {
        z-index: 100;
        top: -1rem;
        transform: scale(1.3);
      }
    }

    &--p3 {
      left: 20%;
      top: 10rem;

      @include respond(tab-port) {
        left: 0;
        top: 1rem;
        transform: scale(1.1);
      }
    }

    &:hover {
      z-index: 20;
      transform: scale(1.05) translateY(-0.5rem);
      outline: 1.5rem solid $color-primary;
      box-shadow: 0 2.5rem 4rem rgba($color-black, 0.5);
    }
  }

  &:hover &__photo:not(:hover) {
    transform: scale(0.95);
  }
}
